import { resolve } from 'path';
const env = process.env.NODE_ENV;

export default {
  port: 9900,
  checkHost: ['localhost', '127.0.0.1'],
  redis: {
    host: '10.203.169.158',
    port: 1843,
    password: '005eb1f50b20ddc6'
  },
  limit: {
    // 单位时间内，秒
    time: 60,
    // 请求次数
    times: 30
  },
  // logs
  logs: {
    env,
    appLogLevel: 'debug',
    dir: resolve(__dirname, '../logs')
  },
  // 静态页面目录
  staticPath: '../public',
  // 本地嵌入式数据库
  localDb: {
    _dir: resolve(__dirname, '../db'),
    user: 'dbUser.json',
    doc: 'dbDoc.json',
    tag: 'dbTag.json'
  },
  secrestKey: 'liaomo',
  proxy: {
    run: false,
    target: 'https://demo.com',
    changeOrigin: true,
    logs: true,
    rewrite: path => path.replace(/^\/proxy(\/|\/\w+)?$/, '/')
  },
  websocket: {
    run: false
  }
};
