import { Context } from 'koa';
import user from './user';
import document from './document';
import services from '../services';
import path from 'path';
import { readFileSync } from 'fs';
import http from 'http';

const home = async (ctx: Context) => {
  let a: string
  await new Promise<void>((resolve) => {
    http.get('http://dev.ldy.client.qihoo.net/api/client/thirdapi/filedownload?id=1002&f_key=QEzedKKG9w3ljmtWYbwDaXz1d1hKgI6U_2019070310081642.zip&timestamp=1625652728&vulid=LDY-2021-00001795&token=515A016F0BEA3DBA5A7D9A0E5C776808', res => {
      res.on('data', d => {
        a += d
      })
      res.on('end', () => {
        console.log(typeof a);
        resolve()
        // writeFileSync(path.resolve(__dirname, './test.zip'), a)
      })
    })
  })
  ctx.body = 'home';
};
// TODO: ws 待开发状态
const ws = async (ctx:Context) => {
  ctx.body = readFileSync(path.resolve(__dirname, '../../example/ws.html')).toString()
}

// TODO: 读取验证码，待开发状态
const code = async (ctx: Context) => {
  interface params {
    phone?: string
  }
  const params: params = {}
  params.phone = ctx.query.phone
  if (!params.phone) {
    ctx.status = 400;
    ctx.body = ctx.$response(null, 'phone参数缺失', false, 400000);
    return;
  };
  const body = await services.code(ctx, params);
  ctx.body = ctx.$response(body);
};

export default {
  home,
  code,
  user,
  document,
  ws
}
