import { Application, Context, DefaultContext } from 'koa';
import { IMiddleware } from 'koa-router';
import { RedisClient } from 'redis';
import { responseHandle } from '@utils/response';
import { InterfaceDB } from '../middlewares/localDb';
import { Redis, Log } from '@/plugins';

declare module 'koa' {
  export interface Context extends DefaultContext {
    $redis: Redis
    $response: responseHandle
    $log: Log
    $db: InterfaceDB
  }
}
