import CODE from '@utils/code';
export interface InterfaceResponseData {
  data: any
  message?: string
  success?: boolean
  code?: number
}
export interface responseHandle {
  (...InterfaceResponseData): { data: any, message: string, success: boolean, code: number }
}

const responseHandle: responseHandle = (data, message = 'success', success = true, code = CODE.SUCCESS) => {
  return {
    data,
    message,
    success,
    code
  };
};

export default responseHandle;
